% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Add_custom_vcf_to_database.R
\name{add_custom_vcf_to_database}
\alias{add_custom_vcf_to_database}
\title{Adds a custom vcf file to the three existing cancer cell line panels}
\usage{
add_custom_vcf_to_database( 
 vcf_file_path, 
ref_gen = "GRCH37", 
name_cl = "", 
safe_mode = FALSE, 
test_mode = FALSE)
}
\arguments{
\item{vcf_file_path}{Input vcf file. Only one sample column allowed.}

\item{ref_gen}{Reference genome version. All training sets are associated 
with a reference genome version. Default: GRCH37}

\item{name_cl}{Name of the to-be-added cancer cell line sample. '_CUSTOM' 
will automatically be added as suffix.}

\item{safe_mode}{Only add mutations to the database where there already are
mutations found in the cannonical cancer cell lines. This is a safety 
mechanism against overfitting if there are too few custom training samples.}

\item{test_mode}{Is this a test? Just for internal use}
}
\value{
Message if the adding has succeeded
}
\description{
Adds a custom vcf file to the three existing cancer cell line panels
}
\examples{
HT29_vcf_file = system.file("extdata/HT29.vcf.gz", package="Uniquorn");
add_custom_vcf_to_database( 
vcf_file_path = HT29_vcf_file,
name_cl = "",
ref_gen = "GRCH37",
safe_mode = FALSE,
test_mode = TRUE )
}

